/*
Copyright (C)2003-2007, IBM, Inc. All rights reserved. 
IBM, Inc. owns the copyright and other intellectual 
property rights in this software. Duplication or use of the 
Software is not permitted except as expressly provided in a 
written agreement between your company and IBM, Inc.
*/

#include "bf_agent.h"

int FuncPing(void)
{
	int 	result, timeout_occurred;
	int 	mapfail;
	char	buf[BFBUFSIZ];

	mapfail = BFCONF_EXISTS(map_drive_is_failure);
	if ((platform_map_drives(defMapStr) != 0 && mapfail) ||
			(platform_map_drives(mapStr) != 0 && mapfail))
	{
		ResultBlock(E_EXEC_MAPFAIL, -1, bfCat(E_EXEC_MAPFAIL));
		return 0;
	}

	ClobberPasswords();

	env_report_locale(buf);
	result = run_process("/", "exit 0", 10, NULL, NULL, NULL, &timeout_occurred, 1);

	format_message(buf, "PLAT: %s", platform_id());
	DataBlock(buf, NULL);

	platform_unmap_drives();
	ResultBlock(result, -1, bfCat(P_LOOPBACK_OK));
	return 0;
}

